## libplasma 6.3.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(PROJECT_VERSION "6.3.4")
project(libplasma VERSION ${PROJECT_VERSION})

set(QT_MIN_VERSION "6.7.0")
set(PROJECT_DEP_VERSION "6.3.4")
set(KF6_MIN_VERSION "6.10.0")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} )

include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)

include(ECMGenerateExportHeader)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(ECMAddQch)
include(KDEPackageAppTemplates)
include(ECMGenerateQmlTypes)
include(ECMMarkNonGuiExecutable)
include(ECMDeprecationSettings)
include(ECMQmlModule)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(PROJECT
                  VARIABLE_PREFIX PLASMA
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/plasma_version.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/PlasmaConfigVersion.cmake"
                  SOVERSION 6)

################# now find all used packages #################

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Quick Gui Qml Svg QuickControls2 DBus)

find_package(KF6 ${KF6_MIN_VERSION} REQUIRED
    COMPONENTS
        Archive
        Config
        CoreAddons
        GlobalAccel
        GuiAddons
        I18n
        IconThemes
        KIO
        WindowSystem
        Notifications
        Package
        KirigamiPlatform
        KCMUtils
        Svg
)
find_package(PlasmaActivities REQUIRED ${PROJECT_DEP_VERSION})

# Wayland features
find_package(PlasmaWaylandProtocols 1.10.0 REQUIRED)
find_package(Qt6WaylandClient ${QT_MIN_VERSION} REQUIRED CONFIG)
find_package(Wayland 1.9 REQUIRED Client)

option(WITHOUT_X11 "Build without X11 support (skips finding X11)." OFF)
if(NOT WITHOUT_X11)
    #optional features
    find_package(X11 MODULE)
    set_package_properties(X11 PROPERTIES DESCRIPTION "X11 libraries"
                        URL "https://www.x.org/"
                        TYPE OPTIONAL
                        )
    find_package(XCB MODULE COMPONENTS XCB COMPOSITE DAMAGE XFIXES RENDER)
    set_package_properties(XCB PROPERTIES DESCRIPTION "X protocol C-language Binding"
                        URL "https://xcb.freedesktop.org/"
                        TYPE OPTIONAL
                        )
    if(X11_FOUND AND XCB_XCB_FOUND)
        set(HAVE_X11 1)
        #X11_Xrender discovery is done by FindX11
        #add_feature_info("X Rendering Extension (libXrender)" X11_Xrender_FOUND "Support for compositing, rendering operations, and alpha-blending. STRONGLY RECOMMENDED")
    else()
        set(HAVE_X11 0)
    endif()
endif()

find_package(OpenGL)
set_package_properties(OpenGL PROPERTIES DESCRIPTION "The OpenGL libraries"
                       URL "https://www.opengl.org/"
                       TYPE OPTIONAL
                      )

find_package(EGL)
set_package_properties(EGL PROPERTIES
                       PURPOSE "Fallback when OpenGL not available because of missing GLVND"
                       TYPE OPTIONAL
                      )

get_target_property(QtGui_Enabled_Features Qt6::Gui QT_ENABLED_PUBLIC_FEATURES)
if(OpenGL_GLX_FOUND AND HAVE_X11 AND (QtGui_Enabled_Features MATCHES "opengl"))
    add_feature_info(GLX OpenGL_GLX_FOUND "OpenGL GLX libraries.")
    set(HAVE_GLX 1)
else()
    set(HAVE_GLX 0)
endif()

# OpenGL_EGL_FOUND is defined by FindOpenGL
if(TARGET OpenGL::EGL)
    add_feature_info(EGL OpenGL_EGL_FOUND
                     "A platform-agnostic mechanism for creating rendering surfaces for use with other graphics libraries, such as OpenGL|ES and OpenVG.")
    set(HAVE_EGL 1)
else()
    set(HAVE_EGL 0)
    message(STATUS "OpenGL::EGL is not available")
endif()

#########################################################################

ecm_set_disabled_deprecation_versions(
    QT 6.8.1
    KF 6.9.0
)

#add_definitions(-Wno-deprecated)

include(PlasmaMacros.cmake)

#########################################################################


option(BUILD_EXAMPLES "Build and install Plasma examples." OFF)
option(BUILD_COVERAGE "Build Plasma Frameworks with gcov support" OFF)

if (BUILD_EXAMPLES)
    find_package(KF6DBusAddons ${KF6_MIN_VERSION})
endif()

if(BUILD_COVERAGE)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fprofile-arcs -ftest-coverage")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -lgcov")
endif()

# make plasma_version.h available
include_directories(${CMAKE_CURRENT_BINARY_DIR})

################# list the subdirectories #################
add_definitions(-DTRANSLATION_DOMAIN=\"libplasma6\")
ki18n_install(po)
add_subdirectory(src)

if (BUILD_EXAMPLES)
    add_subdirectory(examples)
endif()

if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()
add_subdirectory(templates)

################ create PlasmaConfig.cmake and install it ###########################

# create a Config.cmake and a ConfigVersion.cmake file and install them

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/Plasma")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS Plasma_QCH
        FILE PlasmaQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/PlasmaQchTargets.cmake\")")
endif()

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/PlasmaConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/PlasmaConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
  PATH_VARS  CMAKE_INSTALL_PREFIX
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/PlasmaConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/PlasmaConfigVersion.cmake"
  "${CMAKE_CURRENT_SOURCE_DIR}/PlasmaMacros.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT PlasmaTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE PlasmaTargets.cmake
        NAMESPACE Plasma::
        COMPONENT Devel)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/plasma_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR}/Plasma COMPONENT Devel )

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

# add clang-format target for all our source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== examples/developerguide/CMakeLists.txt ===
#plasma_install_package(basic org.kde.example.developerguide.basic)

=== src/plasmaquick/CMakeLists.txt ===
# Consumer's include dir which has to be explicitly used to make headers of this lib visible to documented includes
# Results in duplicate of prefix-dir & C++ namespace below, but part of different things, so by design:
# <visibility-layer>/<C++ namespace>/class header files
set(PLASMAQUICK_INSTALL_INCLUDEDIR "${KDE_INSTALL_INCLUDEDIR}/PlasmaQuick")

add_library(PlasmaQuick SHARED)
add_library(Plasma::PlasmaQuick ALIAS PlasmaQuick)

qt_extract_metatypes(PlasmaQuick)

set_target_properties(PlasmaQuick PROPERTIES
    VERSION     ${PLASMA_VERSION}
    SOVERSION   ${PLASMA_SOVERSION}
    EXPORT_NAME PlasmaQuick
)

target_sources(PlasmaQuick PRIVATE
    appletcontext.cpp
    appletquickitem.cpp
    appletpopup.cpp
    debug_p.cpp
    dialog.cpp
    dialogshadows.cpp
    containmentview.cpp
    configmodel.cpp
    configview.cpp
    edgeeventforwarder.cpp
    plasmashellwaylandintegration.cpp
    sharedqmlengine.cpp
    quickviewsharedengine.cpp
    plasmawindow.cpp
    popupplasmawindow.cpp
    transientplacementhint.cpp
    windowresizehandler.cpp
    configcategory_p.cpp
    plasmoidattached_p.cpp
    dialogbackground_p.cpp
    utils.cpp
    plasmoid/plasmoiditem.cpp
    plasmoid/containmentitem.cpp
    plasmoid/dropmenu.cpp
    plasmoid/wallpaperitem.cpp

    appletcontext_p.h
    appletquickitem.h
    appletpopup.h
    debug_p.h
    dialog.h
    dialogshadows_p.h
    containmentview.h
    configmodel.h
    configview.h
    edgeeventforwarder.h
    plasmashellwaylandintegration.h
    sharedqmlengine.h
    quickviewsharedengine.h
    plasmawindow.h
    popupplasmawindow.h
    transientplacementhint_p.h
    windowresizehandler.h
    configcategory_p.h
    plasmoidattached_p.h
    dialogbackground_p.h
    utils.h
    plasmoid/plasmoiditem.h
    plasmoid/containmentitem.h
    plasmoid/dropmenu.h
    plasmoid/wallpaperitem.h
)

if (Qt6_VERSION VERSION_GREATER_EQUAL "6.8.0")
    set(private_code_option  "PRIVATE_CODE")
endif()
qt_generate_wayland_protocol_client_sources(PlasmaQuick
    FILES
        "${PLASMA_WAYLAND_PROTOCOLS_DIR}/plasma-shell.xml"
        "${Wayland_DATADIR}/wayland.xml"
    ${private_code_option}
)

ecm_qt_declare_logging_category(PlasmaQuick
    HEADER debug_p.h
    IDENTIFIER LOG_PLASMAQUICK
    CATEGORY_NAME kf.plasma.quick
    OLD_CATEGORY_NAMES org.kde.plasmaquick
    DESCRIPTION "Plasma Quick lib"
    EXPORT PLASMA
)

set_target_properties(PlasmaQuick PROPERTIES
    VERSION     ${PLASMA_VERSION}
    SOVERSION   ${PLASMA_SOVERSION}
    EXPORT_NAME PlasmaQuick
)

target_include_directories(PlasmaQuick
    PUBLIC
        "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR};${CMAKE_CURRENT_BINARY_DIR}/..>"
    INTERFACE
        "$<INSTALL_INTERFACE:${PLASMAQUICK_INSTALL_INCLUDEDIR}>"
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/Plasma>" # module version header
)

target_link_libraries(PlasmaQuick
    PUBLIC
        Qt6::Gui
        Qt6::Quick
        Qt6::Qml
        Plasma::Plasma
        KF6::WindowSystem
    PRIVATE
        Qt6::Svg
        Qt6::GuiPrivate
        Qt6::WaylandClient
        Wayland::Client
        KF6::ConfigGui
        KF6::ConfigQml
        KF6::I18n
        KF6::IconThemes
        KF6::CoreAddons
        KF6::Package
        KF6::KIOCore
        KF6::KIOWidgets
        KF6::Notifications
        KF6::KCMUtilsQuick
        KF6::Svg
        KF6::GuiAddons
        KF6::I18nQml

)

if(HAVE_X11)
    target_link_libraries(PlasmaQuick
        PRIVATE
            ${X11_LIBRARIES}
            XCB::XCB
            Qt6::GuiPrivate
    )
endif()

install(TARGETS PlasmaQuick EXPORT PlasmaQuickTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_generate_export_header(PlasmaQuick
    BASE_NAME PlasmaQuick
    GROUP_BASE_NAME KF
    VERSION ${KF6_MIN_VERSION}
    USE_VERSION_HEADER
    VERSION_BASE_NAME Plasma
    DEPRECATED_BASE_VERSION 0
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
    DEPRECATION_VERSIONS
)

set(plasmaquick_LIB_INCLUDES
    ${CMAKE_CURRENT_BINARY_DIR}/plasmaquick_export.h
)

ecm_generate_headers(PlasmaQuick_CamelCase_HEADERS
    HEADER_NAMES
        AppletQuickItem
        ContainmentView
        ConfigView
        ConfigModel
        Dialog
        PlasmaWindow
        PlasmaShellWaylandIntegration
        PopupPlasmaWindow
        AppletPopup
        SharedQmlEngine
        QuickViewSharedEngine
    REQUIRED_HEADERS plasmaquick_LIB_INCLUDES
    PREFIX PlasmaQuick
)

install(
    FILES ${plasmaquick_LIB_INCLUDES}
    DESTINATION ${PLASMAQUICK_INSTALL_INCLUDEDIR}/plasmaquick
    COMPONENT Devel
)

install(
    FILES ${PlasmaQuick_CamelCase_HEADERS}
    DESTINATION ${PLASMAQUICK_INSTALL_INCLUDEDIR}/PlasmaQuick
    COMPONENT Devel
)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/PlasmaQuick")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/PlasmaQuickConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/PlasmaQuickConfig.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
    PATH_VARS  PLASMAQUICK_INSTALL_INCLUDEDIR CMAKE_INSTALL_PREFIX
)

ecm_setup_version(${PLASMA_VERSION}
                  VARIABLE_PREFIX PLASMAQUICK
                  SOVERSION 6
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/PlasmaQuickConfigVersion.cmake" )

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/PlasmaQuickConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/PlasmaQuickConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}" COMPONENT Devel
)

install(EXPORT PlasmaQuickTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE PlasmaQuickTargets.cmake NAMESPACE Plasma:: )

=== templates/cpp-plasmoid6/src/CMakeLists.txt ===
# TODO: adapt "org.kde.plasma" here & elsewhere if needed (see README)
add_definitions(-DTRANSLATION_DOMAIN=\"plasma_applet_org.kde.plasma.%{APPNAMELC}\")

add_library(org.kde.plasma.%{APPNAMELC} MODULE %{APPNAMELC}.cpp)

target_link_libraries(org.kde.plasma.%{APPNAMELC}
                      Qt6::Gui
                      Plasma::Plasma
                      KF6::I18n)


install(TARGETS org.kde.plasma.%{APPNAMELC} DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma/applets)

plasma_install_package(package org.kde.plasma.%{APPNAMELC})

## libplasma 6.1.5

=== debian/changelog ===
libplasma (6.1.5-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Sep 2024 06:00:00 +0100

libplasma (6.1.4-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 14 Aug 2024 18:00:07 +0100

libplasma (6.1.3-3ubuntu1) oracular; urgency=medium

  * Merge from Debian experimental. Remaining changes:
    - Change Breaks/Replaces to plasma5-desktoptheme (<< 6.1.0-2), to allow
      upgrades in Ubuntu.
    - Also Breaks/Replaces plasma-framework (<< 5.116.0-0ubuntu2~).

 -- Rik Mills <rikmills@kde.org>  Mon, 29 Jul 2024 09:07:30 +0100

libplasma (6.1.3-3) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Merge latest changes from 6.1.0-5 dropped from previous uploads.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 28 Jul 2024 23:45:16 +0200

libplasma (6.1.3-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Merge latest changes from 6.1.0-4 dropped from previous upload.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 28 Jul 2024 23:03:44 +0200

libplasma (6.1.3-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.0, no change required.
  * Update symbols from build for 6.1.3.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 21 Jul 2024 23:46:18 +0200

libplasma (6.1.0-5) experimental; urgency=medium

  * Team upload.
  * Update symbols files from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Tue, 23 Jul 2024 06:08:11 +0200

libplasma (6.1.0-4) experimental; urgency=medium

  * Team upload.
  * Update symbols files from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Fri, 19 Jul 2024 06:04:12 +0200

libplasma (6.1.0-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Mon, 15 Jul 2024 12:29:27 +0200

libplasma (6.1.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Addmissing dependencies to libplasma-dev.

  [ Aurélien COUDERC ]
  * Add Breaks/Replaces against plasma-framework versions also shipping the
    desktop themes.

 -- Patrick Franz <deltaone@debian.org>  Fri, 12 Jul 2024 22:33:33 +0200

libplasma (6.1.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.1.0).
  * Update upstream signing-key.
  * Create new packages.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Wed, 19 Jun 2024 23:13:36 +0200

plasma-framework (5.115.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 May 2024 00:17:20 +0200

plasma-framework (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files.
  * Add myself to Uploaders.
  * Enable LTO (Closes: #1015583).
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:09:11 +0100

plasma-framework (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:50 +0200

plasma-framework (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:10:06 +0100

plasma-framework (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.103.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:34 +0100

plasma-framework (5.102.0-2) unstable; urgency=medium

  * Team upload.
  * Add the libopengl-dev build dependency, needed for properly find other
    OpenGL libraries; previously pulled by libegl1-mesa-dev.
  * Remove inactive Uploaders.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically
    - add the dh-sequence-pkgkde-symbolshelper build dependency to use the
      pkgkde_symbolshelper automatically
    - drop the pkg-kde-tools build dependency, no more explicitly needed
    - drop all the manually specified addons and buildsystem for dh
  * Remove breaks/replaces for existing packages with versions older than
    oldstable.

 -- Pino Toscano <pino@debian.org>  Tue, 24 Jan 2023 21:54:01 +0100

plasma-framework (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.
  * Replace obsolete libegl1-mesa-dev build dependency with libegl-dev.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:12 +0100

plasma-framework (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.101.0.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:39 +0100

plasma-framework (5.100.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.1).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.100.1.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:19:08 +0100

plasma-framework (5.98.0-1) unstable; urgency=medium



=== debian/control ===
Source: libplasma
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 6.2.0~),
               gettext,
               libegl-dev,
               libkf6archive-dev (>= 6.2.0~),
               libkf6config-dev (>= 6.2.0~),
               libkf6configwidgets-dev (>= 6.2.0~),
               libkf6coreaddons-dev (>= 6.2.0~),
               libkf6dbusaddons-dev (>= 6.2.0~),
               libkf6globalaccel-dev (>= 6.2.0~),
               libkf6guiaddons-dev (>= 6.2.0~),
               libkf6i18n-dev (>= 6.2.0~),
               libkf6iconthemes-dev (>= 6.2.0~),
               libkf6kcmutils-dev (>= 6.2.0~),
               libkf6kio-dev (>= 6.2.0~),
               libkf6notifications-dev (>= 6.2.0~),
               libkf6package-dev (>= 6.2.0~),
               libkf6parts-dev (>= 6.2.0~),
               libkf6svg-dev (>= 6.2.0~),
               libkf6widgetsaddons-dev (>= 6.2.0~),
               libkf6windowsystem-dev (>= 6.2.0~),
               libkirigami-dev (>= 6.2.0~),
               libopengl-dev,
               libplasmaactivities-dev (>= 6.1.5~),
               libsm-dev,
               libwayland-dev (>= 1.9~),
               libx11-xcb-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-render0-dev,
               libxcb-shape0-dev,
               libxcb-xfixes0-dev,
               pkgconf,
               plasma-wayland-protocols (>= 1.10.0~),
               qt6-base-dev (>= 6.6.0+dfsg~),
               qt6-declarative-dev (>= 6.6.0+dfsg~),
               qt6-declarative-private-dev (>= 6.6.0+dfsg~),
               qt6-svg-dev (>= 6.6.0~),
               qt6-tools-dev (>= 6.6.0~),
               qt6-wayland-dev (>= 6.6.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/libplasma
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libplasma
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libplasma
Rules-Requires-Root: no

Package: libplasma-dev
Architecture: any
Section: libdevel
Depends: extra-cmake-modules (>= 6.2.0~),
         libkf6package-dev (>= 6.2.0~),
         libkf6windowsystem-dev (>= 6.2.0~),
         libplasma6 (= ${binary:Version}),
         libplasmaquick6 (= ${binary:Version}),
         plasma-desktoptheme (= ${binary:Version}),
         qt6-base-dev (>= 6.6.0+dfsg~),
         qt6-declarative-dev (>= 6.6.0+dfsg~),
         ${misc:Depends},
Recommends: libplasma-doc (= ${source:Version}),
Description: development files for libplasma
 Plasma library and runtime components based upon KF6 and Qt 6.
 .
 Contains development files for libplasma.

Package: libplasma-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Plasma Runtime components (documentation)
 Plasma library and runtime components based upon KF6 and Qt 6.
 .
 This package contains the qch documentation files.
Section: doc

Package: libplasma6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF6 and Qt 6.

Package: libplasmaquick6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF6 and Qt 6.

Package: plasma-desktoptheme
Architecture: any
Depends: qml6-module-org-kde-kirigami,
         qml6-module-org-kde-ksvg,
         qml6-module-qt5compat-graphicaleffects,
         qml6-module-qtqml,
         qml6-module-qtqml-models,
         qml6-module-qtqml-workerscript,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-templates,
         qml6-module-qtquick-tooling,
         qml6-module-qtquick-window,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: plasma5-desktoptheme (<< 6.1.0-2),
        plasma-framework (<< 5.116.0-0ubuntu2~)
Replaces: plasma5-desktoptheme (<< 6.1.0-2~),
          plasma-framework (<< 5.116.0-0ubuntu2~)
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF6 and Qt 6.

## libplasma 6.2.1

=== debian/changelog ===
libplasma (6.2.1-1deepin1) unstable; urgency=medium

  * update symbols.

 -- lichenggang <lichenggang@deepin.org>  Thu, 21 Nov 2024 16:55:10 +0800

libplasma (6.2.1-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.1).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 15 Oct 2024 18:21:33 +0200

libplasma (6.2.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.90).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 6.1.90.
  * Review copyright information.
  * New upstream release (6.2.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 05 Oct 2024 23:17:46 +0200

libplasma (6.1.5-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.5).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 Sep 2024 23:28:01 +0200

libplasma (6.1.4-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Bump the Breaks / Replaces versions after the back and forth on KF5’s
    plasma-workspace.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 19 Aug 2024 01:41:18 +0200

libplasma (6.1.4-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.4).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Aug 2024 23:58:23 +0200

libplasma (6.1.3-4) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Fix the versioned Breaks / Replaces against plasma-framework.
   (Closes: #1078140)

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Aug 2024 22:43:20 +0200

=== debian/control ===
Source: libplasma
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 6.5.0~),
               gettext,
               libegl-dev,
               libkf6archive-dev (>= 6.5.0~),
               libkf6config-dev (>= 6.5.0~),
               libkf6configwidgets-dev (>= 6.5.0~),
               libkf6coreaddons-dev (>= 6.5.0~),
               libkf6dbusaddons-dev (>= 6.5.0~),
               libkf6globalaccel-dev (>= 6.5.0~),
               libkf6guiaddons-dev (>= 6.5.0~),
               libkf6i18n-dev (>= 6.5.0~),
               libkf6iconthemes-dev (>= 6.5.0~),
               libkf6kcmutils-dev (>= 6.5.0~),
               libkf6kio-dev (>= 6.5.0~),
               libkf6notifications-dev (>= 6.5.0~),
               libkf6package-dev (>= 6.5.0~),
               libkf6parts-dev (>= 6.2.0~),
               libkf6svg-dev (>= 6.5.0~),
               libkf6widgetsaddons-dev (>= 6.2.0~),
               libkf6windowsystem-dev (>= 6.5.0~),
               libkirigami-dev (>= 6.5.0~),
               libopengl-dev,
               libplasmaactivities-dev (>= 6.2.1~),
               libsm-dev,
               libwayland-dev (>= 1.9~),
               libx11-xcb-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-render0-dev,
               libxcb-shape0-dev,
               libxcb-xfixes0-dev,
               pkgconf,
               plasma-wayland-protocols (>= 1.10.0~),
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-declarative-private-dev (>= 6.6.0+dfsg~),
               qt6-svg-dev (>= 6.7.0~),
               qt6-tools-dev (>= 6.6.0~),
               qt6-wayland-dev (>= 6.7.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/libplasma
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libplasma
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libplasma.git
Rules-Requires-Root: no

Package: libplasma-dev
Architecture: any
Section: libdevel
Depends: extra-cmake-modules (>= 6.5.0~),
         libkf6package-dev (>= 6.5.0~),
         libkf6windowsystem-dev (>= 6.5.0~),
         libplasma6 (= ${binary:Version}),
         libplasmaquick6 (= ${binary:Version}),
         plasma-desktoptheme (= ${binary:Version}),
         qt6-base-dev (>= 6.7.0~),
         qt6-declarative-dev (>= 6.7.0~),
         ${misc:Depends},
Recommends: libplasma-doc (= ${source:Version}),
Description: development files for libplasma
 Plasma library and runtime components based upon KF6 and Qt 6.
 .
 Contains development files for libplasma.

Package: libplasma-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Plasma Runtime components (documentation)
 Plasma library and runtime components based upon KF6 and Qt 6.
 .
 This package contains the qch documentation files.
Section: doc

Package: libplasma6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF6 and Qt 6.

Package: libplasmaquick6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF6 and Qt 6.

Package: plasma-desktoptheme
Architecture: any
Depends: qml6-module-org-kde-kirigami,
         qml6-module-org-kde-ksvg,
         qml6-module-qt5compat-graphicaleffects,
         qml6-module-qtqml,
         qml6-module-qtqml-models,
         qml6-module-qtqml-workerscript,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-templates,
         qml6-module-qtquick-tooling,
         qml6-module-qtquick-window,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: plasma-framework (<< 5.115.0-6~),
Replaces: plasma-framework (<< 5.115.0-6~),
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF6 and Qt 6.

## libplasma 6.2.5

=== debian/changelog ===
libplasma (6.2.5-1+rpi1) trixie-staging; urgency=medium

  [changes brought forward from 6.2.3-2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Thu, 05 Dec 2024 18:42:33 +0000]
  * Update symbols file for raspbian.

 -- Raspbian forward porter <root@raspbian.org>  Fri, 17 Jan 2025 07:14:38 +0000

libplasma (6.2.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.5).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Jan 2025 11:22:26 +0100

libplasma (6.2.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.4).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 03 Dec 2024 16:36:30 +0100

libplasma (6.2.3-2) unstable; urgency=medium

  * Team upload.
  * CI: update/simplify configuration.
  * Improve the 'acc' autopkgtest:
    - set -std=c++17, needed when using Qt 6.
    - exclude plasmashellwaylandintegration.h and PlasmaShellWaylandIntegration
      from being checked, as they include qwayland-plasma-shell.h which is not
      installed
  * Add libkf6config-dev as additional dependency of libplasma-dev.

 -- Pino Toscano <pino@debian.org>  Thu, 28 Nov 2024 22:48:30 +0100

libplasma (6.2.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.3).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 23 Nov 2024 21:57:31 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                doxygen,
                extra-cmake-modules (>= 6.5.0~),
                gettext,
@@ -31,7 +31,7 @@
                libkf6windowsystem-dev (>= 6.5.0~),
                libkirigami-dev (>= 6.5.0~),
                libopengl-dev,
-               libplasmaactivities-dev (>= 6.2.1~),
+               libplasmaactivities-dev (>= 6.2.5~),
                libsm-dev,
                libwayland-dev (>= 1.9~),
                libx11-xcb-dev,
@@ -58,6 +58,7 @@
 Architecture: any
 Section: libdevel
 Depends: extra-cmake-modules (>= 6.5.0~),
+         libkf6config-dev (>= 6.5.0~),
          libkf6package-dev (>= 6.5.0~),
          libkf6windowsystem-dev (>= 6.5.0~),
          libplasma6 (= ${binary:Version}),

## libplasma 6.2.90

=== debian/changelog ===
libplasma (6.2.90-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.90)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 07:42:05 +0000

libplasma (6.2.5-0ubuntu2) plucky; urgency=medium

  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Wed, 01 Jan 2025 00:45:07 +0000

libplasma (6.2.5-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 31 Dec 2024 19:01:44 +0000

libplasma (6.2.4-0ubuntu2) plucky; urgency=medium

  * Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Tue, 26 Nov 2024 18:06:59 +0000

libplasma (6.2.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 26 Nov 2024 12:14:29 +0000

libplasma (6.2.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.0)
  * Update symbols from build logs.
  * New upstream release (6.2.1)
  * New upstream release (6.2.2)
  * New upstream release (6.2.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 19:57:44 +0000

=== debian/control ===
Source: libplasma
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 6.10.0~),
               gettext,
               libegl-dev,
               libkf6archive-dev (>= 6.10.0~),
               libkf6config-dev (>= 6.10.0~),
               libkf6configwidgets-dev (>= 6.10.0~),
               libkf6coreaddons-dev (>= 6.10.0~),
               libkf6dbusaddons-dev (>= 6.10.0~),
               libkf6globalaccel-dev (>= 6.10.0~),
               libkf6guiaddons-dev (>= 6.10.0~),
               libkf6i18n-dev (>= 6.10.0~),
               libkf6iconthemes-dev (>= 6.10.0~),
               libkf6kcmutils-dev (>= 6.10.0~),
               libkf6kio-dev (>= 6.10.0~),
               libkf6notifications-dev (>= 6.10.0~),
               libkf6package-dev (>= 6.10.0~),
               libkf6parts-dev (>= 6.10.0~),
               libkf6svg-dev (>= 6.10.0~),
               libkf6widgetsaddons-dev (>= 6.10.0~),
               libkf6windowsystem-dev (>= 6.10.0~),
               libkirigami-dev (>= 6.10.0~),
               libopengl-dev,
               libplasmaactivities-dev (>= 6.2.90~),
               libsm-dev,
               libwayland-dev (>= 1.9~),
               libx11-xcb-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-render0-dev,
               libxcb-shape0-dev,
               libxcb-xfixes0-dev,
               pkgconf,
               plasma-wayland-protocols (>= 1.10.0~),
               qt6-base-dev (>= 6.7.0+dfsg~),
               qt6-declarative-dev (>= 6.7.0+dfsg~),
               qt6-declarative-private-dev (>= 6.7.0+dfsg~),
               qt6-svg-dev (>= 6.7.0~),
               qt6-tools-dev (>= 6.7.0~),
               qt6-wayland-dev (>= 6.7.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/libplasma
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libplasma
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libplasma
Rules-Requires-Root: no

Package: libplasma-dev
Architecture: any
Section: libdevel
Depends: extra-cmake-modules (>= 6.10.0~),
         libkf6package-dev (>= 6.10.0~),
         libkf6windowsystem-dev (>= 6.10.0~),
         libplasma6 (= ${binary:Version}),
         libplasmaquick6 (= ${binary:Version}),
         plasma-desktoptheme (= ${binary:Version}),
         qt6-base-dev (>= 6.7.0+dfsg~),
         qt6-declarative-dev (>= 6.7.0+dfsg~),
         ${misc:Depends},
Recommends: libplasma-doc (= ${source:Version}),
Description: development files for libplasma
 Plasma library and runtime components based upon KF6 and Qt 6.
 .
 Contains development files for libplasma.

Package: libplasma-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Plasma Runtime components (documentation)
 Plasma library and runtime components based upon KF6 and Qt 6.
 .
 This package contains the qch documentation files.
Section: doc

Package: libplasma6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF6 and Qt 6.

Package: libplasmaquick6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF6 and Qt 6.

Package: plasma-desktoptheme
Architecture: any
Depends: qml6-module-org-kde-kirigami,
         qml6-module-org-kde-ksvg,
         qml6-module-qt5compat-graphicaleffects,
         qml6-module-qtqml,
         qml6-module-qtqml-models,
         qml6-module-qtqml-workerscript,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-templates,
         qml6-module-qtquick-tooling,
         qml6-module-qtquick-window,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: plasma5-desktoptheme (<< 6.1.0-2),
        plasma-framework (<< 5.116.0-0ubuntu2~)
Replaces: plasma5-desktoptheme (<< 6.1.0-2~),
          plasma-framework (<< 5.116.0-0ubuntu2~)
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF6 and Qt 6.

## libplasma 6.3.0

=== debian/changelog ===
libplasma (6.3.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.0).
  * Update build-deps and deps with the info from cmake.
  * Backport upstream patch to make Breeze Dark color theme darker.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 10 Feb 2025 15:17:08 +0100

libplasma (6.2.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.91).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 23 Jan 2025 23:52:57 +0100

libplasma (6.2.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.90).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 6.2.90.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 11 Jan 2025 23:38:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,20 @@
 Source: libplasma
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                doxygen,
                extra-cmake-modules (>= 6.10.0~),
                gettext,
                libegl-dev,
                libkf6archive-dev (>= 6.10.0~),
                libkf6config-dev (>= 6.10.0~),
-               libkf6configwidgets-dev (>= 6.10.0~),
+               libkf6configwidgets-dev (>= 6.5.0~),
                libkf6coreaddons-dev (>= 6.10.0~),
                libkf6dbusaddons-dev (>= 6.10.0~),
                libkf6globalaccel-dev (>= 6.10.0~),
@@ -26,13 +25,13 @@
                libkf6kio-dev (>= 6.10.0~),
                libkf6notifications-dev (>= 6.10.0~),
                libkf6package-dev (>= 6.10.0~),
-               libkf6parts-dev (>= 6.10.0~),
+               libkf6parts-dev (>= 6.2.0~),
                libkf6svg-dev (>= 6.10.0~),
-               libkf6widgetsaddons-dev (>= 6.10.0~),
+               libkf6widgetsaddons-dev (>= 6.2.0~),
                libkf6windowsystem-dev (>= 6.10.0~),
                libkirigami-dev (>= 6.10.0~),
                libopengl-dev,
-               libplasmaactivities-dev (>= 6.2.90~),
+               libplasmaactivities-dev (>= 6.3.0~),
                libsm-dev,
                libwayland-dev (>= 1.9~),
                libx11-xcb-dev,
@@ -43,29 +42,30 @@
                libxcb-xfixes0-dev,
                pkgconf,
                plasma-wayland-protocols (>= 1.10.0~),
-               qt6-base-dev (>= 6.7.0+dfsg~),
-               qt6-declarative-dev (>= 6.7.0+dfsg~),
-               qt6-declarative-private-dev (>= 6.7.0+dfsg~),
+               qt6-base-dev (>= 6.7.0~),
+               qt6-declarative-dev (>= 6.7.0~),
+               qt6-declarative-private-dev (>= 6.6.0+dfsg~),
                qt6-svg-dev (>= 6.7.0~),
-               qt6-tools-dev (>= 6.7.0~),
+               qt6-tools-dev (>= 6.6.0~),
                qt6-wayland-dev (>= 6.7.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/libplasma
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libplasma
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libplasma
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libplasma
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libplasma.git
 Rules-Requires-Root: no
 
 Package: libplasma-dev
 Architecture: any
 Section: libdevel
 Depends: extra-cmake-modules (>= 6.10.0~),
+         libkf6config-dev (>= 6.10.0~),
          libkf6package-dev (>= 6.10.0~),
          libkf6windowsystem-dev (>= 6.10.0~),
          libplasma6 (= ${binary:Version}),
          libplasmaquick6 (= ${binary:Version}),
          plasma-desktoptheme (= ${binary:Version}),
-         qt6-base-dev (>= 6.7.0+dfsg~),
-         qt6-declarative-dev (>= 6.7.0+dfsg~),
+         qt6-base-dev (>= 6.7.0~),
+         qt6-declarative-dev (>= 6.7.0~),
          ${misc:Depends},
 Recommends: libplasma-doc (= ${source:Version}),
 Description: development files for libplasma
@@ -113,9 +113,7 @@
          qml6-module-qtquick-window,
          ${misc:Depends},
          ${shlibs:Depends},
-Breaks: plasma5-desktoptheme (<< 6.1.0-2),
-        plasma-framework (<< 5.116.0-0ubuntu2~)
-Replaces: plasma5-desktoptheme (<< 6.1.0-2~),
-          plasma-framework (<< 5.116.0-0ubuntu2~)
+Breaks: plasma-framework (<< 5.115.0-6~),
+Replaces: plasma-framework (<< 5.115.0-6~),
 Description: Plasma Runtime components
  Plasma library and runtime components based upon KF6 and Qt 6.

## libplasma 6.3.2

=== debian/changelog ===
libplasma (6.3.2-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.7.2, no changes required.
  * Drop the private symbols of Wayland interfaces, which are hidden when
    generated using Qt 6.8.

 -- Pino Toscano <pino@debian.org>  Mon, 03 Mar 2025 07:33:44 +0100

libplasma (6.3.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.1).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.3.2).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 6.3.2.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 28 Feb 2025 00:53:10 +0100

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
                libkf6windowsystem-dev (>= 6.10.0~),
                libkirigami-dev (>= 6.10.0~),
                libopengl-dev,
-               libplasmaactivities-dev (>= 6.3.0~),
+               libplasmaactivities-dev (>= 6.3.2~),
                libsm-dev,
                libwayland-dev (>= 1.9~),
                libx11-xcb-dev,
@@ -48,7 +48,7 @@
                qt6-svg-dev (>= 6.7.0~),
                qt6-tools-dev (>= 6.6.0~),
                qt6-wayland-dev (>= 6.7.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/plasma/libplasma
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libplasma
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libplasma.git
